/* FichothequeLib_API - Copyright (c) 2022-2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction;

import java.util.function.Predicate;
import net.fichotheque.corpus.FicheMeta;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractParameters {

    public ExtractionContext getExtractionContext();

    public int getExtractVersion();

    public boolean isWithEmpty();

    public Predicate<FicheMeta> getFichePredicate();

    public IrefConverter newIrefConverter();

    public default boolean isWithPosition() {
        return true;
    }

}
